Am I right in thinking that even if PL_DEPRECATED is set to ON at build time, the deprecated routines such as 'plwid' are only accessible from C?

Even after I had enabled PL_DEPRECATED in the build, the release version of gnudatalanguage (gdl, 0.9.4) was unable to find the wid method and I could not see any plwid in the sources within the c++ binding code.


P.S. The cvs version of gdl handles both old and new API.